/***************************************************************************
 *   Copyright (C) 2006, 2007 alan <alan@kasmithee.de>                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef _STRUCTS_H_
#define _STRUCTS_H_

#include <QString>

struct DictDef {      // dictionary definition
  bool selected;          // is this dictionary selected
  QString name;           // name of dictionary
  QString desc;           // description of dictionary
 };

struct WordPair {
  QString orig;           // word in original language
  QString type;           // word type, verb, noun, adjective, adverb
  QString trans;          // translation of this word
 };

struct LookUp {
  QString dict;           // dictionary name
  QString orig;           // word match in original language
  QString trans;          // translation of this word
 };

struct Match {
  QString dict;           // dictionary name
  QString trans;          // translation of this word
 };


#endif  // _STRUCTS_H_

